import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import quadbase.reportdesigner.ReportAPI.QbReport;
import quadbase.reportdesigner.ReportViewer.Viewer;
import quadbase.reportdesigner.util.ColInfo;

public class CrossTab extends Applet {
	static final long serialVersionUID = 1;

	public static void main(java.lang.String[] args) {

		try {

			CrossTab doReport = new CrossTab();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", doReport.doCrossTabReport(frame));
			frame.setSize(900, 800);
			frame.addWindowListener(new WindowAdapter() {
				@Override
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setVisible(true);

		} catch (Exception ex) {

			ex.printStackTrace();

		}

	}

	@Override
	public void init() {

		setLayout(new BorderLayout());
		add("Center", doCrossTabReport(this));

	}

	Component doCrossTabReport(Object parent) {
		QbReport.setEspressManagerUsed(false);

		ColInfo[] colInfo = new ColInfo[4];
		colInfo[0] = new ColInfo(0);
		colInfo[0].setRowBreak(true);

		colInfo[1] = new ColInfo(1);
		colInfo[1].setColumnBreak(true);

		colInfo[2] = new ColInfo(2);
		colInfo[2].setColumnBreakValue(true);
		colInfo[2].setAggregation(ColInfo.AVG);

		QbReport report = new QbReport
				(parent, // Parent
						QbReport.CROSSTAB, // Type of Report
						QbReport.CLASSFILE, // Data
						"ClassFile",
						colInfo, // Column Mapping
						"CrossTab"); // Template Name

		return (new Viewer().getComponent(report));
	}
}
